Page MenuHomeFreeBSD

www/apache24: Update to 2.4.37
ClosedPublic

Authored by brnrd on Oct 23 2018, 4:36 PM.

Details

Summary
www/apache24: Update to 2.4.37

 - Adds TLSv1.3 support with security/openssl111

With hat: apache
Differential_Revision:	https://reviews.freebsd.org/D1....
Test Plan

Poudriere bulk logs

Testing with SSLLabs reports TLSv1.3 active

Diff Detail

Repository
rP FreeBSD ports repository
Lint
Automatic diff as part of commit; lint not applicable.
Unit
Automatic diff as part of commit; unit tests not applicable.

Event Timeline

brnrd created this revision.Oct 23 2018, 4:36 PM
brnrd edited the summary of this revision. (Show Details)Oct 23 2018, 4:40 PM
brnrd added reviewers: ohauer, joneum.
brnrd edited the test plan for this revision. (Show Details)Oct 23 2018, 4:54 PM
ohauer accepted this revision.Oct 25 2018, 1:45 PM

running the new release since yesterday on 12 hosts, all on 11-p4 and haven't seen any issues (the busiest hosts had round about 600.000 requests since the update).

OK, for me, but I will do a new test with the updated APR as soon my time permits the build/roll out

brnrd added a comment.Oct 25 2018, 4:25 PM

running the new release since yesterday on 12 hosts, all on 11-p4 and haven't seen any issues (the busiest hosts had round about 600.000 requests since the update).
OK, for me, but I will do a new test with the updated APR as soon my time permits the build/roll out

Any chance you test some hosts with OpenSSL 1.1.1 to verify TLSv1.3 functionality?

joneum accepted this revision.Oct 26 2018, 8:48 AM

I have also tested the update now, and currently I see no problems.

This revision is now accepted and ready to land.Oct 26 2018, 8:48 AM
This revision was automatically updated to reflect the committed changes.